Bug 189283 - Can not mount >256 file systems: can't read superblock
Can not mount >256 file systems: can't read superblock
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
: 189285 189286 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 15:58 EDT by Robinson Tiemuqinke
Modified: 2008-01-19 23:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robinson Tiemuqinke 2006-04-18 15:58:45 EDT
Description of problem:

 Could not mount many active file systems at the same time, the error output 
is "can't read superblock".

Version-Release number of selected component (if applicable):

 All stock FC4/FC5 kernel show the same problem. 

How reproducible:

 Every time.

Steps to Reproduce:

1. Install a FC4 or FC5 system ( my output is based on FC4 system)
2. have other bunches of systems with NFS shares ready.
3. try to run a loop to mount NFS file systems on the newly installed FC4 
system.
  
Actual results:



[root@testMaster ~]# for i in `/example/bin/lsng testnode-hosts`; do echo 
${i}; mount ${i}:/0 /0/ttt/${i}/0; mount ${i}:/1 /0/ttt/${i}/1;  mount 
${i}:/2 /0/ttt/${i}/2; mount ${i}:/3 /0/ttt/${i}/3; done

...
testnode540
testnode541
testnode542
testnode543
mount: testnode543:/1: can't read superblock
mount: testnode543:/2: can't read superblock
mount: testnode543:/3: can't read superblock
testnode544
mount: testnode544:/0: can't read superblock
mount: testnode544:/1: can't read superblock
mount: testnode544:/2: can't read superblock
mount: testnode544:/3: can't read superblock
testnode545
mount: testnode545:/0: can't read superblock
mount: testnode545:/1: can't read superblock
mount: testnode545:/2: can't read superblock
mount: testnode545:/3: can't read superblock
testnode546
mount: testnode546:/0: can't read superblock
mount: testnode546:/1: can't read superblock
mount: testnode546:/2: can't read superblock
mount: testnode546:/3: can't read superblock
testnode547
mount: testnode547:/0: can't read superblock
mount: testnode547:/1: can't read superblock
mount: testnode547:/2: can't read superblock
mount: testnode547:/3: can't read superblock
testnode548
mount: testnode548:/0: can't read superblock
mount: testnode548:/1: can't read superblock
mount: testnode548:/2: can't read superblock
mount: testnode548:/3: can't read superblock
testnode549
...

[root@testMaster ~]# df -k | wc -l
254
[root@testMaster ~]#

[root@testMaster ~]# uname -a
Linux testMaster.example.com 2.6.15-1.1831_FC4smp #1 SMP Tue Feb 7 13:51:52 
EST 2006 x86_64 x86_64 x86_64 GNU/Linux
[root@testMaster ~]#




Expected results:

 It should mount all 1000 NFS file systems without problems.


Additional info:
Comment 1 Frank Arnold 2006-04-20 02:13:09 EDT
*** Bug 189285 has been marked as a duplicate of this bug. ***
Comment 2 Frank Arnold 2006-04-20 02:14:24 EDT
*** Bug 189286 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2006-09-16 22:08:28 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 Dave Jones 2006-10-16 14:14:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:39:16 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.